ScrollableDataTableUtils (RichFaces JSF components library 3.2.0.CR4 API)
Keywords: org.richfaces.renderkit.html.ScrollableDataTableUtils class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html
Class ScrollableDataTableUtils

    java.lang.Object
      org.richfaces.renderkit.html.ScrollableDataTableUtils

    public class ScrollableDataTableUtils

extends java.lang.Object

Author:
  Maksim Kaszynski

Field Summary
`static java.lang.String` | `CLIENT_ROW_KEY`
`static java.lang.String` | `FROZEN_COL_COUNT_ATTR`

Constructor Summary
`ScrollableDataTableUtils()`

Method Summary
`static int` | `getClientRowIndex(UIScrollableDataTable grid)`
`static int` | `getFrozenColumnsCount(UIScrollableDataTable grid)`
`static int` | `getIntOr0(javax.faces.component.UIComponent grid, java.lang.String attribute)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FROZEN_COL_COUNT_ATTR

    public static final java.lang.String FROZEN_COL_COUNT_ATTR

See Also:
  Constant Field Values

### CLIENT_ROW_KEY

    public static final java.lang.String CLIENT_ROW_KEY

See Also:
  Constant Field Values

Constructor Detail

### ScrollableDataTableUtils

    public ScrollableDataTableUtils()

Method Detail

### getFrozenColumnsCount

    public static int getFrozenColumnsCount(UIScrollableDataTable grid)

### getClientRowIndex

    public static int getClientRowIndex(UIScrollableDataTable grid)

### getIntOr0

    public static int getIntOr0(javax.faces.component.UIComponent grid,
                                java.lang.String attribute)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.